import * as React from 'react';
import { Button, Modal, Checkbox, Header, Container } from 'semantic-ui-react';
import { DiscoveryProbe } from './DiscoveryProbe';
import { DiscoveryTable } from './DiscoveryTable';

export class DiscoveryDetails extends React.Component<any, any> {

  private probeTemp: any;
  private submitData: any;

  constructor(props: any, context: any) {
    super(props, context);
    this.handleProbeChange.bind(this);
    this.state = {
      startPopup:false
    };
  }



  componentWillMount() {
    this.probeTemp =
      {
        "id": "11",
        "metaProbeStatus": {
          "name": "STARTED"
        },
        "domain": {
          "name": "overFlow's domain111"
        },
        "host": {
          "ip": "192.168.1.103",
          "mac": "44:8a:5b:44:8c:e8",
          "os": "Ubuntu 17.04",
          "name": "?????"
        },
        "createAt": "2017-07-12",
        "probeKey": "AGBLKDFJ2452ASDGFL2KWJLKSDJ",
        "description": "description1111111111",
        "lastPollingAt": "2017-07-12 14:20",
        "nextPollingAt": "2017-07-12 14:30"
      };

  }

  handleProbeChange(obj: any) {
    console.log(obj)
    this.setState({ startPopup:true });
    this.submitData = obj;
  }

  handleSubmit() {
    console.log(this.submitData)
  }

  handleCancel= () => this.setState({ startPopup: false });

  handlePopupClose = () => this.setState({ startPopup: false });

  render() {
    return (
      <Container fluid>
        <Header as='h3' dividing> Discovery Details</Header>
        <DiscoveryProbe probe={this.probeTemp}/>
        <br />
        <DiscoveryTable onProbeChange={this.handleProbeChange.bind(this)} />

        <Modal size='small' open={this.state.startPopup} onClose={this.handlePopupClose}>
          <Modal.Header>Change your password Enter email address.</Modal.Header>
          <Modal.Content >
            <Checkbox label='IP' />
          </Modal.Content>
          <Modal.Actions>
            <Button onClick={this.handleSubmit.bind(this)} basic color='blue'  >              Submit      </Button>
            <Button onClick={this.handleCancel}>              Cancel      </Button>
          </Modal.Actions>
        </Modal>

      </Container>

    );
  }
}